<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.platform.mapper.UserScoresMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="userScoresResultMap" type="org.springblade.modules.platform.entity.UserScores">
        <id column="id" property="id"/>
        <result column="user_id" property="userId"/>
        <result column="data_type" property="dataType"/>
        <result column="score" property="score"/>
        <result column="data_src" property="dataSrc"/>
        <result column="data_id" property="dataId"/>
        <result column="data_remarks" property="dataRemarks"/>
        <result column="score_type" property="scoreType"/>
        <result column="create_time" property="createTime"/>
    </resultMap>


    <select id="selectUserScoresPage" resultMap="userScoresResultMap">
        select * from t_user_scores where is_deleted = 0
    </select>

</mapper>
